Bug 463017 - Review Request: getdata - Library for reading and writing dirfile data.
Review Request: getdata - Library for reading and writing dirfile data.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-20 16:19 EDT by Matthew Truch
Modified: 2009-09-16 17:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 17:00:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthew Truch 2008-09-20 16:19:30 EDT
Spec URL: http://matt.truch.net/fedora/getdata.spec
SRPM URL: http://matt.truch.net/fedora/getdata-0.3.0-1.fc10.src.rpm
Description: 
The GetData Project is the reference implementation of the Dirfile Standards, a
filesystem-based database format for time-ordered binary data. The Dirfile
database format is designed to provide a fast, simple format for storing and
reading data.

See sf.net page for more info: http://getdata.sourceforge.net/
Comment 1 Matthew Truch 2008-09-24 13:34:17 EDT
Updated to 0.3.1 upstream bugfix release (which includes the patch I had to provide in the first rpm).  

Spec URL: http://matt.truch.net/fedora/getdata.spec
SRPM URL: http://matt.truch.net/fedora/getdata-0.3.1-1.fc10.src.rpm
Comment 2 Michael Schwendt 2008-10-15 10:38:50 EDT
* -devel pkg description still mentions static libs - fix this

* gfortran build does not use our global $FFLAGS, but -g -O2 

* Hint: Include manual pages as '*' or 'foo*' but drop the 'gz'
because the rpmbuild compressor for man pages may change.

* Why not include the AUTHORS and TODO files as %doc?

* a shorter tar.bz2 release is available

* a detached signature is available for the source tarballs -
consider uploading and including them in fedora pkg cvs
"sources" files


Minor things which can be fixed in pkg cvs.

APPROVED
Comment 3 Matthew Truch 2008-10-15 13:22:55 EDT
New Package CVS Request
=======================
Package Name: getdata
Short Description: Library for reading and writing dirfile data
Owners: mtruch
Branches: devel, F-9, F-8
InitialCC:
Comment 4 Kevin Fenzi 2008-10-15 17:54:22 EDT
cvs done.
Comment 5 Matthew Truch 2008-10-16 11:48:51 EDT
Thanks for the review, Michael!

As for the Fortran flags, I am pretty oblivious to all things fortran.  Is there an rpm macro which has the global Fedora $FFLAGS that I don't know about?
Comment 6 Michael Schwendt 2008-10-16 13:48:57 EDT
%optflags and $RPM_OPT_FLAGS

$FFLAGS is exported by %configure, see: rpm --eval %configure
Comment 7 Matthew Truch 2008-10-16 16:37:41 EDT
That's interesting, as I do use %configure.  Perhaps I need to set FCFLAGS to be the same as FFLAGS?  When I run getdata's ./configure --help, it suggests that FFLAGS are used for the F77 compilation and the FCFLAGS are used for F90.
Comment 8 Matthew Truch 2008-10-20 17:00:00 EDT
Built in rawhide; builds for F9 and F8 coming soon.
Comment 9 Matthew Truch 2009-09-16 17:41:31 EDT
Package Change Request
======================
Package Name: getdata
New Branches: EL-4 EL-5
Owners: mtruch
Comment 10 Jason Tibbitts 2009-09-16 17:44:46 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.